Package org.bukkit.material

# Class Gate

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Gate

All Implemented Interfaces:
  `Cloneable`, `Directional`, `Openable`

@Deprecated public class Gate extends MaterialData implements Directional, Openable
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents a fence gate

## Constructor Summary

Constructors
Constructor
Description
`Gate()`
Deprecated.
`Gate(byte data)`
Deprecated.
`Gate(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`Gate`
`clone()`
Deprecated.
`BlockFace`
`getFacing()`
Deprecated.
Gets the direction this block is facing
`boolean`
`isOpen()`
Deprecated.
Check to see if the door is open.
`void`
`setFacingDirection(BlockFace face)`
Deprecated.
Sets the direction that this block is facing in
`void`
`setOpen(boolean isOpen)`
Deprecated.
Configure this door to be either open or closed;
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Gate

public Gate()
Deprecated.

### Gate

@Deprecated public Gate(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

### Gate

public Gate(byte data)
Deprecated.

## Method Details

### setFacingDirection

public void setFacingDirection(BlockFace face)
Deprecated.
Description copied from interface: `Directional`
Sets the direction that this block is facing in

Specified by:
  `setFacingDirection` in interface `Directional`
Parameters:
  `face` - The facing direction

### getFacing

public BlockFace getFacing()
Deprecated.
Description copied from interface: `Directional`
Gets the direction this block is facing

Specified by:
  `getFacing` in interface `Directional`
Returns:
  the direction this block is facing

### isOpen

public boolean isOpen()
Deprecated.
Description copied from interface: `Openable`
Check to see if the door is open.

Specified by:
  `isOpen` in interface `Openable`
Returns:
  true if the door has swung counterclockwise around its hinge.

### setOpen

public void setOpen(boolean isOpen)
Deprecated.
Description copied from interface: `Openable`
Configure this door to be either open or closed;

Specified by:
  `setOpen` in interface `Openable`
Parameters:
  `isOpen` - True to open the door.

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public Gate clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`